# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "asciidork-cli"
version = "0.3.3"
description = "Asciidork CLI"
license = "MIT"

[[bin]]
name = "asciidork"
path = "src/main.rs"

[dependencies.asciidork-dr-html-backend]
version = "0.3.0"

[dependencies.asciidork-eval]
version = "0.3.0"

[dependencies.asciidork-opts]
version = "0.3.0"

[dependencies.asciidork-parser]
version = "0.3.0"

[dependencies.bumpalo]
version = "3.15.4"
features = ["collections"]

[dependencies.clap]
version = "4.5.4"
features = ["derive"]

[dependencies.colored]
version = "2.0.4"

[lints.clippy]
missing-const-for-fn = "warn"
